// bloodActor.cpp

#include "game.h"

/*
====================================
void actorManager_t::ClearAI(void)
====================================
*/

void actorManager_t::ClearAI(void)
{
	worldEnts.clear();
}

/*
========================================
void actorManager_t::blood_RunAI(void)
========================================
*/

void actorManager_t::blood_RunAI(void)
{
	int numOfActors = worldEnts.size();

	if(numOfActors <= 0)
	{
		// printf("WARNING: No registered AI\n");
		return;
	}

	for(int i = 0; i < numOfActors; i++)
	{
		bloodEntity_t *thisActor = worldEnts.at(i);

		if(thisActor == NULL)
		{
			printf("WARNING: Found a invalid registered actor\n");
			return;
		}
		
		switch(thisActor->aiType)
		{
			case ACTORAI_GUN:
				
			break;
			
			default:
				printf("WARNING: Invalid AI type %d\n",thisActor->aiType);
		}
	}
}