// buildMath.h

#pragma warning(disable : 4244) // conversion from __int64 to int

__inline int sqr (int input1) { return input1*input1; }

/* internal use:32x32 = 64bit */
 __inline __int64 mul32_64(int i1,int i2)
{
	return (__int64)i1*i2;
}
 __inline int scale (int input1, int input2, int input3)
{
	return mul32_64(input1,input2)/input3;
}
 __inline int mulscale (int input1, int input2, int input3)
{
	return mul32_64(input1,input2)>>input3;
}
 __inline int dmulscale  (int input1, int input2, int input3,int input4,int input5)
{
	return (mul32_64(input1,input2) + mul32_64(input3,input4))>>input5;
}
 __inline int tmulscale(int i1, int i2, int i3, int i4, int i5, int i6,int shift)
{
	return (mul32_64(i1,i2) + mul32_64(i3,i4) + mul32_64(i5,i6))>>shift;
}
 __inline int divscale(int i1, int i2, int i3)
{
	return ((__int64)i1<<i3)/i2;
}