// game_shared.h
// data shared between the exe and the DLL

typedef struct 
{
	void (*nextpage)(void);
	boolean (*build_Keydown)(byte key);
	void (*Load_Pallete)(char *filename);
	void (*rotatesprite)(long sx, long sy, long z, short a, short picnum,
                  signed char dashade, char dapalnum, char dastat,
                  long cx1, long cy1, long cx2, long cy2);
	void (*clearview)(long dacol);
	int  (*loadboard)(char *filename, long *daposx, long *daposy,
              long *daposz, short *daang, short *dacursectnum);
	void (*SDL_Quit)(void);
	int  (*Decrypt_Map)(char *in, char *out);
	void (*displayLevel)(long posx, long posy, long posz, long ang,short snum,long smoothratio);
	long (*scale)(long i1, long i2, long i3);
	newPlayerInfo_t (*P_Movecode)(short ang, long fvel, long svel);
	int (*clipmove) (long *x, long *y, long *z, short *sectnum,
              long xvect, long yvect, long walldist, long ceildist,
              long flordist, unsigned long cliptype);

	int (*mulscale) (int input1, int input2, int input3);
	int (*pushmove)(long *x, long *y, long *z, short *sectnum,
             long walldist, long ceildist, long flordist,
             unsigned long cliptype);

	int (*ftotalclock)(void);
	void (*Set_Brightness)(int brightness);
	void (*getzrange)(long x, long y, long z, short sectnum,
			long *ceilz, long *ceilhit, long *florz, long *florhit,
			long walldist, unsigned long cliptype);
	spritetype *(*Game_GetSprite)(int i);
	void (*Justin_SetSky)(long pScale, short newpskyoff[256]);
	void (*build_ClearKey)(byte key);
	short sintable[2048];
}Game_Imports;

typedef struct 
{
	int (*RunFrame)(int totalclock);
	int (*GameShutdown)();
}Game_Exports;
