//-------------------------------------------------------------------------
/*
Copyright (C) 2005 - Justin Marshall

This file is part of the blood reconstruction project.

WinBlood is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

PORTIONS OF CODE FROM DUKE NUKEM 3D SOURCE CODE
*/
//-------------------------------------------------------------------------
// guiManager.h

class guiManager : public Game
{
	public:
		void DrawTile(int tilenum, int x, int y, int width, int height);
		void PrepareGUI(void);
		void DrawLoading(char *board);
		void Init2D(void);
		void DrawFullHud(long x1,long y1,long x2,long y2);
		void DrawText(char *text, int fontTile, int x, int y);
		void DrawTextLight(char *text, int fontTile, int x, int y);
		void DrawTextNoFlash(char *text, int x, int y);
		void DrawTextCustom(char *text, long startFont, int shade, int x, int y);
		void DrawTextCustom2(char *text, long startFont, int shade, int x, int y);
		void Blood_Printf(char *text, int fontTile, int fontTile2, int shade, int dist, int x, int y);
		void Blood_PrintfTimed(char *text, int time);
};